CURLINFO_NAMELOOKUP_TIME(3)

NAME
CURLINFO_NAMELOOKUP_TIME - get the name lookup time

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_NAMELOOKUP_TIME,
                           double *timep);

DESCRIPTION
Pass a pointer to a double to receive the total time in seconds from the start until the name resolving was completed. When a redirect is followed, the time from each request is added together. See also the TIMES overview in the curl_easy_getinfo(3) man page.

PROTOCOLS
This functionality affects all supported protocols

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode res;
    double namelookup;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com/");
    res = curl_easy_perform(curl);
    if(CURLE_OK == res) {
      res = curl_easy_getinfo(curl, CURLINFO_NAMELOOKUP_TIME, &namelookup);
      if(CURLE_OK == res) {
        printf("Time: %.1f", namelookup);
      }
    }
    /* always cleanup */
    curl_easy_cleanup(curl);
  }
}

AVAILABILITY
Added in curl 7.4.1

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLINFO_NAMELOOKUP_TIME_T(3), curl_easy_getinfo(3), curl_easy_setopt(3)